Subject: Bug#443: [X2Go-Dev] Bug#443: x2goclient 4.0.2.0 HEAD FTBFS (resources.rcc errors)

From: Michael DePaulo <[email-masked]>
Date: Sun, 2 Mar 2014 16:51:47 -0500

Great, I'll do add it to either the windows bash script or the windows
.bat script (My current design is that a bash script calls a .bat
script to do the actual building, similar to how a bash script calls
pbuilder to do the actual building for debian & ubuntu.)

On Sun, Mar 2, 2014 at 4:47 PM, Mike Gabriel
<[email-masked]> wrote:
> Hi Michael, hi Alex
>
>
> On  So 02 Mär 2014 20:39:10 CET, Michael DePaulo wrote:
>
>> Observed on Commit 5d7d9966198d64ce7846c4f65706f9e9e178e8d7
>> (Fri, 28 Feb 2014 13:02:50 +0000 (14:02 +0100))
>>
>> X2Go Client 4.0.2.0 HEAD failed to build from source.
>>
>> I am using the standard setup which has worked for 4.0.1.3:
>> mingw32 4.4
>> QT 4.8.5
>> X2Go-WinBuilder VM (WIn7 64-bit SP1)
>>
>> See attached logs. They are what happens when I run the last 2
>> commands mentioned in this list:
>> $ cd x2goclient
>> $ PATH=%PATH%;D:\MinGW\libexec\gcc\mingw32\4.4.0\
>> $ config_win.bat
>> $ mingw32-make
>> From this page:
>>
>> http://wiki.x2go.org/doku.php/wiki:development:build-howto-mswin:x2goclient
>>
>> Note that there are errors in both config_win.bat's output, and in
>> mingw32-make's output. And they seem to be related to resources.rcc
>> not finding files.
>
>
> The reason for the FTBFS is a series of commits from Alex adding some
> methods for retrieving more detailled information on the current X2Go Client
> build during runtime. Basically, that is a nice-to-have feature esp. during
> development cycles.
>
> The not so good aspect is, that currently all automatic (and the win32)
> builds fail (for Linux builds see http://jenkins.x2go.org).
>
> @Alex:
>
> The problem is the git executable. Basically, we have to assume that (a) the
> .git folder is not present (e.g. in the tarball releases) and (b) the git
> command is not available in the build environment.
>
> So my suggestion would be:
>
>   o create the txt/git script before the build (I can add that to
>     our buildscripts on code.x2go.org)
>   o copy the changelog file via debian/rules (for the .deb package)
>     and via x2goclient.spec (for the .rpm packages)
>   o only make the --git cmdline switch available if ./txt/git exists
>   o (and maybe rather rename --git to --git-info)
>   o only make the --changelog cmdline switch available if
>     ./txt/changelog exists
>
> So basically, please split the work up into
>
>   X2Go Client code: (todo Alex)
>
>     o offer --git(-info) and/or --changelog if the corresponding
>       ./txt/* files exists during runtime
>
>   debian/rules | x2goclient.spec (todo Mike#1):
>
>     o create ./txt/changelog
>
>   x2go-build-deb-package | x2go-build-rpm-package (todo Mike#1):
>
>     o create the git information in ./txt/git-info
>
>   winbuider.bat (todo Mike#2)
>
>     o create the git information in ./txt/git-info
>
> Package maintainers of distros should (be able to) omit the creation of
> ./txt/changelog | ./txt/git-info. The upstream version and the package
> release should bear all info that is needed.
>
> Thanks+Greets,
> Mike
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: [email-masked], http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb